'use strict';

/**
 * @ngdoc function
 * @name siteOficinaItapetiApp.controller:MainCtrl
 * @description
 * # MainCtrl
 * Controller of the siteOficinaItapetiApp
 */
angular.module('siteOficinaItapetiApp')
  .controller('MainCtrl', [ '$window', '$scope', '$rootScope', '$http', 'Lightbox', '$state', '$cookies', function ($window, $scope, $rootScope, $http, Lightbox, $state, $cookies) {
      $window.scrollTo(0, 0);

      console.log("Current Page: " + $state.current.name);

      var user_email = $cookies.get("email");
      if(user_email === "" || user_email === undefined){
        mixpanel.track("Page Visit", {"Page": $state.current.name});
      } else {
        mixpanel.identify(user_email);
        mixpanel.track("Page Visit", {"Page": $state.current.name});
      }


      $scope.Math = window.Math;
      $scope.show_sent_message = false;

      $scope.laser_cut = {
        value: 0,
        options: {
           floor: 0,
           ceil: 20,
           step: 0.5,
           minLimit: 0.5,
           maxLimit: 20,
           precision: 1
        },
        cost: [120, 120, 120, 110, 110, 100, 100, 100, 100, 90, 90, 90, 90, 90, 80, 80, 80, 80, 80, 70],
        value_project: 0,
        options2: {
           floor: 0,
           ceil: 8,
           step: 0.5,
           minLimit: 0,
           maxLimit: 8,
           precision: 1
        },
        cost2: 50
      }

    $scope.sendMessage = function(msgData){
      console.log("> Sending message from " + msgData.first_name + " " + msgData.last_name);
      var msg = "Nome: " + msgData.first_name + " " + msgData.last_name + "<br>Email: " + msgData.email + "<br>";
      var req = {
         method: 'POST',
         url: 'send_contact_mail.php',
         data: {
           to: "oficina.itapeti@gmail.com",
           from: msgData.email,
           subject: msgData.subject,
           msg: msg + msgData.message
         }
      }
      mixpanel.identify(msgData.email);
      mixpanel.people.set({
        "$email": msgData.email,
        "$first_name": msgData.first_name,
        "$last_name": msgData.last_name
      });
      mixpanel.track("Message Sent", {"Page": $state.current.name});
      $cookies.put("email", msgData.email);
      $http(req).then(function(data){
        console.log(data);
      });
      msgData.subject = "";
      msgData.message = "";
      $scope.show_sent_message = true;
    };

    $scope.images = [
    {
      'url': 'images/boardgame-chips.jpg',
      'caption': 'Fichas para jogo de tabuleiro cortadas a laser',
      'thumbUrl': 'images/thumb-boardgame-chips.jpg' // used only for this example
    },
    {
      'url': 'images/boardgame-factory.jpg',
      'caption': 'Peças para jogo de tabuleiro cortadas a laser',
      'thumbUrl': 'images/thumb-boardgame-factory.jpg'
    },
    {
      'url': 'images/boardgame-factory-makingof.jpg',
      'caption': 'Edição de vetores de peças para jogo de tabuleiro',
      'thumbUrl': 'images/thumb-boardgame-factory-makingof.jpg'
    },
    {
      'url': 'images/boardgame-minerals.jpg',
      'caption': 'Fichas para jogo de tabuleiro cortadas a laser',
      'thumbUrl': 'images/thumb-boardgame-minerals.jpg'
    },

    {
      'url': 'images/zombicide-porta.jpg',
      'caption': 'Porta miniatura impressa em 3d para o jogo Zombicide',
      'thumbUrl': 'images/thumb-zombicide-porta.jpg'
    },
    {
      'url': 'images/laser-papel.jpg',
      'caption': 'Letras de papel cortadas a laser',
      'thumbUrl': 'images/thumb-laser-papel.jpg'
    },
    {
      'url': 'images/goldtone-amp-prototipo.jpg',
      'caption': 'Prototipo de um amplificador valvulado para GoldTone',
      'thumbUrl': 'images/thumb-goldtone-amp-prototipo.jpg'
    },
    {
      'url': 'images/mini-cama.jpg',
      'caption': 'Peças cortas e engravadas a laser',
      'thumbUrl': 'images/thumb-mini-cama.jpg'
    },
    {
      'url': 'images/fliper1.jpg',
      'caption': 'Miniatura de fliperama cortado a laser',
      'thumbUrl': 'images/thumb-fliper1.jpg'
    },
    {
      'url': 'images/fliper2.jpg',
      'caption': 'Miniatura de fliperama dos Tartarugas ninjas',
      'thumbUrl': 'images/thumb-fliper2.jpg'
    },
    {
      'url': 'images/quad-luzes.jpg',
      'caption': 'Quadcoptero com o sistema de luzes ligado',
      'thumbUrl': 'images/thumb-quad-luzes.jpg'
    },
    {
      'url': 'images/copo-quad.jpg',
      'caption': 'Suporte de motor do quadcoptero corta a laser em acrilico',
      'thumbUrl': 'images/thumb-copo-quad.jpg'
    },
    {
      'url': 'images/quad-solidworks.jpg',
      'caption': 'Desenhando o corpo do quadcoptero no software Solidoworks',
      'thumbUrl': 'images/thumb-quad-solidworks.jpg'
    },
    {
      'url': 'images/cavalo-mascara.jpg',
      'caption': 'Peças cortas a laser',
      'thumbUrl': 'images/thumb-cavalo-mascara.jpg'
    },
    {
      'url': 'images/endossa-cubos.jpg',
      'caption': 'Peças de isopor cortadas a laser com acabamento para um painel',
      'thumbUrl': 'images/thumb-endossa-cubos.jpg'
    },
    {
      'url': 'images/theremin-1.jpg',
      'caption': 'Painel de acrilico com etching cortado a laser',
      'thumbUrl': 'images/thumb-theremin-1.jpg'
    },
    {
      'url': 'images/theremin-2.jpg',
      'caption': 'Detalhe do etching no acrilico com pintura',
      'thumbUrl': 'images/thumb-theremin-2.jpg'
    },
    {
      'url': 'images/gimbal-madeira.jpg',
      'caption': 'Projeto de estabilizador de camera cortado a laser',
      'thumbUrl': 'images/thumb-gimbal-madeira.jpg'
    },
    {
      'url': 'images/gimbal-plastico.jpg',
      'caption': 'Estabilizador de camera impresso em 3d',
      'thumbUrl': 'images/thumb-gimbal-plastico.jpg'
    },
    {
      'url': 'images/quad-placa.jpg',
      'caption': 'Base de acrilico cortada a laser',
      'thumbUrl': 'images/thumb-quad-placa.jpg'
    },
    {
      'url': 'images/detalhe-amp.jpg',
      'caption': 'Pintura em acabamento de coro de um aplificado GoldTone',
      'thumbUrl': 'images/thumb-detalhe-amp.jpg'
    },
    {
      'url': 'images/quad-v3.jpg',
      'caption': 'Projeto do quadcoptero v3, com corpo de fibra de carbono',
      'thumbUrl': 'images/thumb-quad-v3.jpg'
    },
    {
      'url': 'images/foguetinho.jpg',
      'caption': 'Foguetinho de papel',
      'thumbUrl': 'images/thumb-foguetinho.jpg'
    },
    {
      'url': 'images/quad-v2.jpg',
      'caption': 'Versão 2 do quadcoptero',
      'thumbUrl': 'images/thumb-quad-v2.jpg'
    }
  ];

  $scope.openLightboxModal = function (index) {
    Lightbox.openModal($scope.images, index);
  };

  $scope.service_contact_form_open = function() {
    mixpanel.track("Interested", {"Page": $state.current.name});
  }


}]);
